# bflag

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

## Developer Guide

### Setup

``` sh
# create conda environment
$ mamba env create -f env.yml

# update conda environment
$ mamba env update -n bflag --file env.yml
# $ mamba env update -n bflag --file env.mac.yml
```

### Install

``` sh
pip install -e .

# install from pypi
pip install bflag
```

### nbdev

``` sh
# activate conda environment
$ conda activate bflag

# make sure the bflag package is installed in development mode
$ pip install -e .

# make changes under nbs/ directory
# ...

# compile to have changes apply to the bflag package
$ nbdev_prepare
```

Note: it might be useful to use the following snippet to enable hot
reloading:

``` python
%load_ext autoreload
%autoreload 2
```

### Publishing

``` sh
# publish to pypi
$ nbdev_pypi

# publish to conda
$ nbdev_conda --build_args '-c conda-forge'
```

# Usage

## Installation

Install latest from the GitHub
[repository](https://github.com/dsm-72/bflag):

``` sh
$ pip install git+https://github.com/dsm-72/bflag.git
```

or from [conda](https://anaconda.org/dsm-72/bflag)

``` sh
$ conda install -c dsm-72 bflag
```

or from [pypi](https://pypi.org/project/bflag/)

``` sh
$ pip install bflag
```

## Examples

``` python
(fpos, fneg, fint, fnum, fstr, fzero, fnone)
```

    (fpos(ispos(v)),
     fneg(isneg(v)),
     fint(isint(v)),
     fnum(isnum(v)),
     fstr(isstr(v)),
     fzero(iszero(v)),
     fnone(isnone(v)))

``` python
fpos(2), fpos(-2)
```

    (True, False)
